flutter pod install is not installing anything

my podfile looks like this

        # Uncomment the next line to define a global platform for your project
    # platform :ios, '9.0'

    target 'Runner' do
        # Comment the next line if you don't want to use dynamic frameworks
        use_frameworks!
    
        # Pods for Runner
    
    end

If I run pod install, it shows

        MDs-MacBook-Pro:ios mdzainalabedin$ pod install
    Analyzing dependencies
    Downloading dependencies
    Generating Pods project
    Integrating client project
    Pod installation complete! There are 0 dependencies from the Podfile and 0 total pods installed.

    (!) The Podfile does not contain any dependencies.

    (!) Automatically assigning platform `iOS` with version `9.0` on target `Runner` because no platform was specified. Please specify a platform for this target in your Podfile. See `https://guides.cocoapods.org/syntax/podfile.html#platform`.

    (!) CocoaPods did not set the base configuration of your project because your project already has a custom config set. In order for CocoaPods integration to work at all, please either set the base configurations of the target `Runner` to `Target Support Files/Pods-Runner/Pods-Runner.profile.xcconfig` or include the `Target Support Files/Pods-Runner/Pods-Runner.profile.xcconfig` in your build configuration (`Flutter/Release.xcconfig`).

    (!) Your project does not explicitly specify the CocoaPods master specs repo. Since CDN is now used as the default, you may safely remove it from your repos directory via `pod repo remove master`. To suppress this warning please add `warn_for_unused_master_specs_repo => false` to your Podfile.
    MDs-MacBook-Pro:ios mdzainalabedin$ 

  

Any idea how can I generate one?

Thanks